Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.xds.metadata.extract
Class InputStreamDocumentEntryExtractor

    java.lang.Object
      org.eclipse.ohf.ihe.xds.metadata.extract.InputStreamDocumentEntryExtractor

All Implemented Interfaces:
  DocumentEntryExtractor

    public class InputStreamDocumentEntryExtractor

extends java.lang.Object
implements DocumentEntryExtractor

Extracts metadata from a metadata.xsd conformant InputStream and populates an instance of a Document Entry.

Author:
  Sarah Knoop

Field Summary
`static java.lang.String` | `DESCRIPTOR` Descriptor for Extractor

Constructor Summary
`InputStreamDocumentEntryExtractor(java.io.InputStream documentEntryInputStream)` Creates an extractor for the InputStream given.

Method Summary
`DocumentEntryType` | `extract()` Renders a DocumentEntryType object from a InputStream containing a single instance of a DocumentEntryType conformant to the metadata.xsd.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DESCRIPTOR

    public static final java.lang.String DESCRIPTOR

  Descriptor for Extractor

  See Also:
    Constant Field Values

Constructor Detail

### InputStreamDocumentEntryExtractor

    public InputStreamDocumentEntryExtractor(java.io.InputStream documentEntryInputStream)

  Creates an extractor for the InputStream given. InputStream must contain a single instance of a DocumentEntryType conformant to the metadata.xsd.

  Parameters:
    `documentEntryInputStream` -

Method Detail

### extract

    public DocumentEntryType extract()
                              throws MetadataExtractionException

  Renders a DocumentEntryType object from a InputStream containing a single instance of a DocumentEntryType conformant to the metadata.xsd.

  Specified by:
    `extract` in interface `DocumentEntryExtractor`
  Throws:
    `MetadataExtractionException`
  See Also:
    `DocumentEntryExtractor.extract()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD